% testing spec node
-module(exspec14).

-type start_link_ret() :: {ok,pid()} | ignore | {error,{already_started,pid()} | term()}.

-spec start_link(Opts) -> start_link_ret() when
    Opts :: [Opt],
    Opts :: {timeout, pos_integer()}
          | {return_type, ReturnType},
    ReturnType :: binary | string.
